Anonymous Login
2019-12-11 17:01 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000064v3.1 ReleaseFilespublic2014-01-25 00:35
Reportercaseydk 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.1 
Summary0000064: Pluggable Storage Backend for Files Module
DescriptionThe Files Module Pluggable Backend developed last year should be ported from dotProject Head. The current Pluggable Backed supports the exist server-based storage and SVN.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002464

caseydk (administrator)

Ideally, we can support a variety of backends such as:

Local file storage (currently supported)
Amazon S3
Dropbox (which is just an S3 wrapper anyway)

~0003042

caseydk (administrator)

Made the local file storage pluggable, more to follow:
https://github.com/web2project/web2project/commit/b75156b3265adcc22df39bccf2f7f5645b517c74

~0003069

caseydk (administrator)

Merged into v3.1 development.

Local, Amazon S3 and Dropbox backends will be shipped with core as a proof of concept.

~0003223

caseydk (administrator)

Closed for v3.1 Release which occurred 20 January 2014.
+Notes

-Issue History
Date Modified Username Field Change
2008-09-07 15:50 caseydk New Issue
2008-09-07 15:51 caseydk Status new => assigned
2008-09-07 15:51 caseydk Assigned To => caseydk
2009-09-11 14:45 caseydk Status assigned => acknowledged
2009-09-11 14:46 caseydk Assigned To caseydk =>
2009-12-08 11:58 caseydk Project Pending Requests => v2.0 Release (Closed)
2010-04-01 10:12 caseydk Project v2.0 Release (Closed) => Pending Requests
2011-02-24 01:13 caseydk Project Pending Requests => v2.4 Release (Closed)
2011-05-24 22:10 caseydk Project v2.4 Release (Closed) => Pending Requests
2012-03-24 21:43 caseydk Note Added: 0002464
2013-11-21 18:39 caseydk Project Pending Requests => v3.1 Release
2013-11-21 18:39 caseydk Note Added: 0003042
2013-11-23 22:02 caseydk Note Added: 0003069
2013-11-23 22:02 caseydk Status acknowledged => resolved
2013-11-23 22:02 caseydk Resolution open => fixed
2013-11-23 22:02 caseydk Assigned To => caseydk
2014-01-21 17:42 caseydk Note Added: 0003223
2014-01-21 17:42 caseydk Status resolved => closed
2014-01-21 17:49 caseydk Status closed => feedback
2014-01-21 17:49 caseydk Resolution fixed => reopened
2014-01-21 17:49 caseydk Status feedback => closed
2014-01-21 17:49 caseydk Resolution reopened => fixed
2014-01-21 17:49 caseydk Fixed in Version => 3.1
2014-01-25 00:35 caseydk Category General => Files
+Issue History